<?php
                        
require_once ('../inventario/conexion.php');

$objconexion = new conexion();

 $sentenciaselect = "SELECT 
    historial_cpu.serial_cpu,
    historial_cpu.ip,
    estado_equipo.nombre_estadoequipo,
    marca_cpu.nombre_marcacpu,
    memoria.nombre_memoria,
    procesador.nombre_procesador,
    sistema_operativo.nombre_sistemaoperativo,
    disco_duro.nombre_discoduro, 
    historial_cpu.nombre_equipo,
    historial_cpu.fecha_historial,
      historial_cpu.observacion
    from historial_cpu,estado_equipo,marca_cpu,memoria,procesador,sistema_operativo,disco_duro
    where historial_cpu.marca_cpu=marca_cpu.id_marcacpu AND historial_cpu.memoria=memoria.id_memoria AND historial_cpu.procesador=procesador.id_procesador AND  historial_cpu.sistema_operativo=sistema_operativo.id_sistemaoperativo AND  historial_cpu.disco_duro=disco_duro.id_discoduro   AND  historial_cpu.estado_equipo=estado_equipo.id_estadoequipo   
and historial_cpu.serial_cpu= (case when NOT EXISTS(select historial_cpu.serial_cpu from historial_cpu where historial_cpu.serial_cpu ='". $_GET['var1']."') then historial_cpu.serial_cpu
else '". $_GET['var1']."' end)";

  $arreglo = $objconexion->consultararraynum($sentenciaselect);
mostrar($arreglo);
  
function mostrar($inarreglo)
{
    $numfilas=count($inarreglo);                           

    for ($i=0; $i<$numfilas; $i++){
         echo "<tr>";
         $numcolumnas = count ($inarreglo[$i]);


    for ($j=0; $j<$numcolumnas; $j++){

        echo "<td>";
        echo $inarreglo[$i][$j];
        echo "</td>";


    }
    echo "</tr>";
}
}


?>

